﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace RadControlsExample
{
    public partial class Form1 : RadForm
    {
        private MyShortcutProvider provider;

        public RadDropDownButton DropDownButton
        {
            get { return this.radDropDownButton1; }
        }

        public Form1()
        {
            InitializeComponent();

            provider = new MyShortcutProvider(this);
            provider.Shortcuts.Add(new RadShortcut(Keys.None, Keys.F1));

            for (int i = 0; i < 9; i++)
            {
                Keys key = Keys.D0 + i;
                provider.Shortcuts.Add(new RadShortcut(Keys.None, key));
            }

            for (int i = 0; i < 4; i++)
            {
                MyMenuItem item = new MyMenuItem("Menu item " + i, i + 1);
                this.radDropDownButton1.Items.Add(item);
                item.Click += item_Click;
            }            
        }

        private void item_Click(object sender, EventArgs e)
        {
            this.radButton1.Text = ((MyMenuItem)sender).Text + " was pressed";
        }
    }
}    